import { defineStore } from 'pinia';

export const useShopeeSpyProductStore = defineStore('shopee-spy-product', {
  state() {
    /** @type {ShopeeSearchItemShop[]} */
    const listProduct = [];

    return {
      shopId: 0,
      listProduct,
    };
  },
  getters: {
    getListProduct() {
      return this.listProduct;
    },
  },
  actions: {
    setListProduct(listProduct = []) {
      this.listProduct = listProduct;
    },
    setShopId(shopId) {
      this.shopId = shopId;
    },
  },
});
